var map = undefined;

function initMap() {

   const queryString = window.location.search;
   const urlParams = new URLSearchParams(queryString);

   const lats = urlParams.get('lats').split(",").map(Number);
   const lngs = urlParams.get('lngs').split(",").map(Number);
   const locs = urlParams.get('locs').split(",");
   const centerLat = parseFloat(urlParams.get('centerLat'));
   const centerLng = parseFloat(urlParams.get('centerLng'));

    var myLatLng = new google.maps.LatLng(centerLat, centerLng);

       map = new google.maps.Map(document.getElementById('map'), {
          zoom: 12,
          center: myLatLng
       });

    var markers = [];
    var infoWindows = [];

    for (let i = 0; i < lats.length; i++) {

       markers.push(new google.maps.Marker({
          position: new google.maps.LatLng(lats[i], lngs[i]),
          map: map,
          title: locs[i]
       }));

       infoWindows.push(new google.maps.InfoWindow({
                  content: locs[i]
                }));

         markers[i].addListener("click", () => {
           infoWindows[i].open({
             anchor: markers[i],
             map,
           });
         });
    }
}
